package com.gic.finance.service.impl;

import com.gic.commons.util.EntityUtil;
import com.gic.finance.dao.mapper.TabCashWithdrawalMapper;
import com.gic.finance.dto.CashWithdrawalDTO;
import com.gic.finance.entity.TabCashWithdrawal;
import com.gic.finance.qo.CashWithdrawalQueryListQO;
import com.gic.finance.service.CashWithdrawalService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Date;
import java.util.List;

@Service("cashWithdrawalService")
public class CashWithdrawalServiceImpl implements CashWithdrawalService {
    @Autowired
    private TabCashWithdrawalMapper tabCashWithdrawalMapper;

    @Override
    public void save(CashWithdrawalDTO dto) {
        tabCashWithdrawalMapper.insertSelective(EntityUtil.changeEntityNew(TabCashWithdrawal.class, dto));
    }

    @Override
    public void update(TabCashWithdrawal record) {
        record.setUpdateTime(new Date());
        tabCashWithdrawalMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public Page<TabCashWithdrawal> pageCashWithdrawal(CashWithdrawalQueryListQO params) {
        PageHelper.startPage(params.getCurrentPage(), params.getPageSize());
        List<TabCashWithdrawal> list = tabCashWithdrawalMapper.listCashWithdrawal(params);
        return (Page<TabCashWithdrawal>) list;
    }

    @Override
    public TabCashWithdrawal getById(Integer id) {
        return tabCashWithdrawalMapper.selectByPrimaryKey(id);
    }
}
